/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package peercast4j.core;

import javax.swing.table.AbstractTableModel;

/**
 *
 * @author nori090
 */
public class ChannelTable extends AbstractTableModel {

    @Override
    public String getColumnName(int column) {
        return ChannelData.COLUMN_NAMES[column];
    }

    public int getRowCount() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public int getColumnCount() {
        return ChannelData.COLUMN_NAMES.length;
    }

    public Object getValueAt(int rowIndex, int columnIndex) {
        throw new UnsupportedOperationException("Not supported yet.");
    }
}
